[Date Index][Thread Index]
[Date Prev][Date Next][Thread Prev][Thread Next]

Re: Installation problems with WML-1.6.8

On Sun, Jan 17, 1999, CHristian Niss wrote:

> I have reduced my problem to the fact, that I donot have 
> setpgrp in my system ... the configure-script therefore
> stops in wml_backend/p2_mhc line 1645 ...
> Which rpm do I have to install to get some kind of setpgrp ???

A quick grep inside wml_backend/p2_mhc showed that the check for setpgrp in
Meta-HTML's Autoconf stuff is obsolete and not really needed.  When you've
Autoconf installed, just remove the line reading "AC_FUNC_SETPGRP" in
wml_backend/p2_mhc/configure.in and run "autoconf" in this directory to get a
fixed configure script. When you don't have Autoconf installed, remove just
the lines 1645-1692 from the configure script.

Denis: I've now removed the AC_FUNC_SETPGRP. Same for the VFORK check
       because that's also no longer needed in our stripped down
       Meta-HTML version.
                                       Ralf S. Engelschall
Website META Language (WML)                www.engelschall.com/sw/wml/
Official Support Mailing List                   sw-wml@engelschall.com
Automated List Manager                       majordomo@engelschall.com